RANDOM(6) | Games Manual | RANDOM(6)

# NAME

`random` —
random lines from a file or random numbers

# SYNOPSIS

`random` | [`-er`] [denominator]

# DESCRIPTION

`random` reads lines from the standard input and copies them to the standard output with a probability of 1/denominator. The default value for denominator is 2.

The options are as follows:

`-e`
  If the `-e` option is specified, `random` does not read or write anything, and simply exits with a random exit value of 0 to denominator-1, inclusive.
`-r`
  The `-r` option guarantees that the output is unbuffered.

# SEE ALSO

shuffle(1), fortune(6)

March 20, 2007 | NetBSD 9.3